New: pagination on person search, fuzzy matching, and more. See what's changed →
Whitepages Pro API
Regions

List all US states and territories

Retrieve a list of all US states and territories.

GET
/v1/regions/states

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.whitepages.com/v1/regions/states"
{
  "results": [
    {
      "slug": "string",
      "state_code": "string",
      "name": "string",
      "supported_webhook_events": [
        "string"
      ]
    }
  ]
}
{
  "error": {
    "code": 400,
    "message": "Bad Request",
    "long_message": "Invalid person ID format: 'sdf'. Person ID must start with 'P' followed by exactly 10 alphanumeric characters. Example: 'PABcd12345e' or 'P1234567890'.",
    "meta": null
  },
  "wp_trace_id": "3b0b537a60d84057817bb40563ca5c99"
}
{
  "message": "Forbidden"
}
{
  "error": {
    "code": 400,
    "message": "Short error message",
    "long_message": "The request was malformed",
    "meta": {
      "field": "email",
      "validation_error": "Invalid email format"
    }
  },
  "wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}
{
  "message": "Too Many Requests",
  "error": "usage_cap_exceeded",
  "error_instance_id": "1b9d6bcd-bbfd-4b2d-9b5d-ab8dfbbd4bed",
  "limit": 1000,
  "used": 1000,
  "reset_at": "2026-09-01T00:00:00+00:00",
  "upgrade_url": "https://www.whitepages.com/billing/manage-plan/pro-api"
}
{
  "error": {
    "code": 400,
    "message": "Short error message",
    "long_message": "The request was malformed",
    "meta": {
      "field": "email",
      "validation_error": "Invalid email format"
    }
  },
  "wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}

Related